Package org.apache.sling.models.spi

# Interface ViaProvider

public interface ViaProvider
SPI interface for providers of the @Via annotation.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`ORIGINAL`
Marker object indicating that the original object should be used.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdaptable(Object original, String value)`
Get an adaptable using the value of the @Via annotation.
`Class<? extends ViaProviderType>`
`getType()`
Return the marker class for use in the @Via annotation

## Field Details

### ORIGINAL

static final Object ORIGINAL
Marker object indicating that the original object should be used.

## Method Details

### getType

Class<? extends ViaProviderType> getType()
Return the marker class for use in the @Via annotation

Returns:
  the marker class

### getAdaptable

Object getAdaptable(Object original, String value)
Get an adaptable using the value of the @Via annotation.

Parameters:
  `original` - the original adaptable
  `value` - the value of the @Via annotation
Returns:
  the projected adaptable